# Uses of Interface
org.xnio.channels.SimpleAcceptingChannel

Packages that use SimpleAcceptingChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of SimpleAcceptingChannel in org.xnio.channels

Subinterfaces of SimpleAcceptingChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`AcceptingChannel<C extends ConnectedChannel>`
A channel which can accept inbound connections from remote endpoints.
Methods in org.xnio.channels that return types with arguments of type SimpleAcceptingChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends SimpleAcceptingChannel<C>>`
SimpleAcceptingChannel.`getAcceptSetter()`
Get the setter which can be used to change the accept listener for this channel.
`ChannelListener.Setter<? extends SimpleAcceptingChannel<C>>`
SimpleAcceptingChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.